# Uses of Enum Class
org.kapott.hbci.dialog.KnownReturncode

Packages that use KnownReturncode
Package
Description
org.kapott.hbci.dialog

## Uses of KnownReturncode in org.kapott.hbci.dialog

Fields in org.kapott.hbci.dialog declared as KnownReturncode
Modifier and Type
Field
Description
`static final KnownReturncode[]`
KnownReturncode.`LIST_AUTH_FAIL`
Die Liste der Return-Codes, die als "PIN falsch" interpretiert werden sollen.
Methods in org.kapott.hbci.dialog that return KnownReturncode
Modifier and Type
Method
Description
`static KnownReturncode`
KnownReturncode.`find(String code, KnownReturncode... codes)`
Prueft, ob der angegebene Code in der Liste enthalten ist.
`static KnownReturncode`
KnownReturncode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KnownReturncode[]`
KnownReturncode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.kapott.hbci.dialog with parameters of type KnownReturncode
Modifier and Type
Method
Description
`static boolean`
KnownReturncode.`contains(String code, KnownReturncode... codes)`
Prueft, ob der angegebene Code in der Liste enthalten ist.
`static KnownReturncode`
KnownReturncode.`find(String code, KnownReturncode... codes)`
Prueft, ob der angegebene Code in der Liste enthalten ist.